Summary:        A high-performance asynchronous messaging library
Name:           python-zmq
Version:        25.1.1
Release:        1%{?dist}
License:        LGPLv3+ and ASL 2.0 and BSD
URL:            https://zeromq.org/languages/python/
Source0:        https://files.pythonhosted.org/packages/source/p/pyzmq/pyzmq-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  zeromq-devel python3-devel python3-pytest python3-tornado python3-gevent python3-numpy python3-pytest-asyncio

%description
ZeroMQ (also spelled ØMQ, 0MQ or ZMQ) is a high-performance
asynchronous messaging library, aimed at use in distributed
or concurrent applications. It provides a message queue, but
unlike message-oriented middleware, a ZeroMQ system can run
without a dedicated message broker.

%package -n python3-zmq
Summary:        A high-performance asynchronous messaging library
License:        LGPLv3+
Provides:       python3-pyzmq = %{version}-%{release}

%description -n python3-zmq
ZeroMQ (also spelled ØMQ, 0MQ or ZMQ) is a high-performance
asynchronous messaging library, aimed at use in distributed
or concurrent applications. It provides a message queue, but
unlike message-oriented middleware, a ZeroMQ system can run
without a dedicated message broker.

This package contains the python bindings.


%package -n python3-zmq-tests
Summary:        A high-performance asynchronous messaging library, testsuite
License:        LGPLv3+
Requires:       python3-zmq = %{version}-%{release}
Provides:       python3-pyzmq-tests = %{version}-%{release}

%description -n python3-zmq-tests
ZeroMQ (also spelled ØMQ, 0MQ or ZMQ) is a high-performance
asynchronous messaging library, aimed at use in distributed
or concurrent applications. It provides a message queue, but
unlike message-oriented middleware, a ZeroMQ system can run
without a dedicated message broker.

This package contains the testsuite for the python bindings.


%prep
%autosetup -n pyzmq-%{version}

sed -i -e '/cython>=3/d' pyproject.toml test-requirements.txt
sed -i -e '/min_cython_version/s/"3.*"/"0.29"/' setup.py

rm -rf bundled
find zmq -name "*.c" -delete
grep -lr "^#\!/usr/bin/env python" | xargs sed -i "1d"
find . -type f -executable | xargs chmod -x

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zmq

%check
cd %{_topdir}
%pytest --pyargs zmq -v --asyncio-mode auto \
%ifarch ppc64le
-k "not (test_green_device or (Green and (test_raw or test_timeout or test_poll)))"
%endif


%files -n python3-zmq -f %{pyproject_files}
%doc README.md
%exclude %{python3_sitearch}/zmq/tests

%files -n python3-zmq-tests
%{python3_sitearch}/zmq/tests


%changelog
* Mon Aug 14 2023 cunshunxia <cunshunxia@tencent.com> - 25.1.1-1
- upgrade to 25.1.1

* Sat May 06 2023 Miaojun Dong <zoedong@tencent.com> - 24.0.1-1
- initial build
